
package golf;

import java.awt.*;
import java.applet.*;

public class FairClub extends GolfClub 
{
	/** factory method to create Allocator for this GolfClub. 
	 *  overwrite it and create more sophisticated Allocators.  
	 */
	protected IAllocator buildAllocator() {
		return new FairAllocator( CAPACITY ); 
	}
}

