
package golf;

import java.awt.*;
import java.applet.*;

public class OvertakingClub extends GolfClub 
{
	final static int BOUND = 3; // bound for overtaking

	/** factory method to create Allocator for this GolfClub. 
	 *  overwrite it and create more sophisticated Allocators.  
	 */
	protected IAllocator buildAllocator() {
		return new OvertakingAllocator( CAPACITY, BOUND ); 
	}
}

