package Active;

/**
 * Generate a sequence of integers to pass
 * through the Prime Sieve.
 * NB: can optimize to generate only odds ...
 * @author Oscar Nierstrasz
**/

class TestForPrime implements IntSource {
	private int nextValue;
	private int maxValue;

	public TestForPrime(int max) {
		this.nextValue = 3;
		this.maxValue = max;
	}

/**
 * @see IntSourcE
 * @return next integer in IntSource stream
**/

	public int getInt() {
		// System.out.println("TestForPrime " + nextValue);
		if (nextValue < maxValue) {
			return nextValue++;
		} else {
			return 0;
		}
	}
}
