/*
  File: Writer.java
*/

package readwrite;

import support.*;

public class Writer implements CriticalSection
{

	ReadWrite writer_;

	public Writer( ReadWrite writer )
	{
		writer_ = writer;
	}

	public void enterCriticalSection() throws InterruptedException
	{
		writer_.acquireWrite();
	}

	public void leaveCriticalSection()
	{
		writer_.releaseWrite();
	}

}
